Class: Aws::ResourceExplorer2::Types::ListResourcesOutput

Inherits:
Struct
  • Object
show all
Defined in:
gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb

Overview

Constant Summary collapse

SENSITIVE =
[]

Instance Attribute Summary collapse

Instance Attribute Details

#next_tokenString

If present, indicates that more output is available than is included in the current response. Use this value in the NextToken request parameter in a subsequent call to the operation to get the next part of the output. You should repeat this until the NextToken response element comes back as null. The pagination tokens expire after 24 hours.

Returns:

  • (String)


1150
1151
1152
1153
1154
1155
1156
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1150

class ListResourcesOutput < Struct.new(
  :resources,
  :next_token,
  :view_arn)
  SENSITIVE = []
  include Aws::Structure
end

#resourcesArray<Types::Resource>

The list of structures that describe the resources that match the query.

Returns:



1150
1151
1152
1153
1154
1155
1156
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1150

class ListResourcesOutput < Struct.new(
  :resources,
  :next_token,
  :view_arn)
  SENSITIVE = []
  include Aws::Structure
end

#view_arnString

The Amazon resource name (ARN) of the view that this operation used to perform the search.

Returns:

  • (String)


1150
1151
1152
1153
1154
1155
1156
# File 'gems/aws-sdk-resourceexplorer2/lib/aws-sdk-resourceexplorer2/types.rb', line 1150

class ListResourcesOutput < Struct.new(
  :resources,
  :next_token,
  :view_arn)
  SENSITIVE = []
  include Aws::Structure
end